{% load i18n staticfiles %}<!DOCTYPE html>
{% get_current_language as LANGUAGE_CODE %}<html lang="{{ LANGUAGE_CODE }}">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <title>Escriptorium - {% block head_title %}Digital Library{% endblock %}</title>

    {% comment %}
    <meta name="description" content="">
    <meta name="author" content="">
    <link rel="icon" href="../../favicon.ico">
    {% endcomment %}

    <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/html5shiv/3.7.3/html5shiv.min.js"></script>
      <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->

    {% block styles %}
    <link href="{% static 'vendor.css' %}" rel="stylesheet" type="text/css">
    <link href="{% static 'main.css' %}" rel="stylesheet" type="text/css">
    {% endblock styles %}
  </head>
  <body class="{% block bodyclass %}{% endblock %}">
    <nav class="navbar navbar-expand-lg navbar-dark bg-dark">
      <a class="navbar-brand" href="{% url 'home' %}">eScriptorium</a>
      <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
      </button>

      <div class="collapse navbar-collapse" id="navbarSupportedContent">
        <ul class="navbar-nav mr-auto">
          <li class="nav-item {% block nav-home-class %}{% endblock %}">
            <a class="nav-link" href="{% url 'home'%}">Home</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="#">{% trans 'About' %}</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="{% url 'contactus' %}">{% trans 'Contact' %}</a>
          </li>

          {% comment %}
          {# search bar #}
          <ul class="navbar-nav mr-auto">
            <li class="nav-item">
              <form class="form-inline my-2 my-lg-0">
                <input class="form-control mr-sm-2" type="search" placeholder="Search" aria-label="Search">
                <button class="btn btn-outline-info my-2 my-sm-0" type="submit">Search</button>
              </form>
            </li>
          </ul>
          {% endcomment %}
        </ul>

        <ul class="navbar-nav mr-right">
          {% if user.is_authenticated %}
          <li class="nav-item">
            <a class="nav-link {% block nav-doc-list-class %}{% endblock %}" href="{% url 'documents-list' %}">{% trans "My Documents" %}</a>
          </li>
          <li class="nav-item dropdown">
              <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                  {% blocktrans with username=user.username %}Hello {{username}}{% endblocktrans %}
              </a>
              <div class="dropdown-menu  dropdown-menu-right" aria-labelledby="navbarDropdown">
              <a class="dropdown-item" href="{% url 'password_change' %}">{% trans "Change password" %}</a>

              <a class="dropdown-item" href="{% url 'profile' %}">{% trans "Profile" %}</a>
              <a class="dropdown-item" href="{% url 'report-list' %}">{% trans "Task reports" %}</a>

              <div class="dropdown-divider"></div>
              {% if perms.users.can_invite %}<a class="dropdown-item" href="{% url 'send-invitation' %}">Invite</a>{% endif %}
              <a class="dropdown-item" href="{% url 'logout' %}">{% trans 'Logout' %}</a>
            </div>
          </li>
        {% else %}
          <li class="nav-item">
            <a class="nav-link" href="{% url 'login' %}">{% trans 'Login' %}</a>
          </li>
        {% endif %}
        </ul>
      </div>
    </nav>

    <main><section>
    <div class="container-fluid">
    {% block body %}
    {% endblock body %}
    </div>
    </section></main>

    <script src="{% static 'vendor.js' %}" type="text/javascript"></script>

    {% block scripts %}
    <script src="{% static 'main.js' %}" type="text/javascript"></script>
    <script type="text/javascript">
      const DEBUG = {% if debug %}true{% else %}false{% endif %};
    </script>
    {% if user.is_authenticated %} {# no need to open a socket for anonymous users, bots etc #}
      <script type="text/javascript">
        $(document).ready(function(){
          bootWebsocket();
        });
      </script>
      {% include 'includes/messages.html' %}
      {% if user.onboarding %}
      <script type="text/javascript">
        bootOnboarding();
      </script>
      {% endif %}
      {% endif %}
   {% endblock scripts %}
  </body>
</html>
